# ENVSUBST

NAME
SYNOPSIS
DESCRIPTION
AUTHOR
REPORTING BUGS
COPYRIGHT
SEE ALSO

## NAME

| envsubst - substitutes environment variables in shell format strings

## SYNOPSIS

| envsubst [OPTION] [SHELL-FORMAT]

## DESCRIPTION

| Substitutes the values of environment variables.

| Operation mode:

| -v, --variables

| output the variables occurring in SHELL-FORMAT

| Informative output:

| -h, --help

| display this help and exit

| -V, --version

| output version information and exit

In normal operation mode, standard input is copied to standard output, with references to environment variables of the form $VARIABLE or ${VARIABLE} being replaced with the corresponding values. If a SHELL-FORMAT is given, only those environment variables that are referenced in SHELL-FORMAT are substituted; otherwise all environment variables references occurring in standard input are substituted.

| When --variables is used, standard input is ignored, and the output consists of the environment variables that are referenced in SHELL-FORMAT, one per line.

## AUTHOR

| Written by Bruno Haible.

## REPORTING BUGS

| Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

| Copyright 2003-2006 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

| The full documentation for envsubst is maintained as a Texinfo manual. If the info and envsubst programs are properly installed at your site, the command

| info envsubst

| should give you access to the complete manual.